summaryrefslogtreecommitdiffstats
path: root/development/nedit
diff options
context:
space:
mode:
author Tomasz Konojacki <me@xenu.tk>2014-04-16 07:12:54 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-04-23 07:51:28 +0700
commit17f9841515925954df9a486f04baa79daa0baa97 (patch)
tree07ba69bf1228bdd964850d256cf4efbc0d177198 /development/nedit
parenta57b8866e5ee81b63f979112309f6798e6cb3479 (diff)
downloadslackbuilds-17f9841515925954df9a486f04baa79daa0baa97.tar.gz
slackbuilds-17f9841515925954df9a486f04baa79daa0baa97.tar.xz
development/nedit: Added (text editor with GUI).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/nedit')
-rw-r--r--development/nedit/README5
-rw-r--r--development/nedit/nedit.SlackBuild96
-rw-r--r--development/nedit/nedit.info10
-rw-r--r--development/nedit/nedit.patch24
-rw-r--r--development/nedit/slack-desc19
5 files changed, 154 insertions, 0 deletions
diff --git a/development/nedit/README b/development/nedit/README
new file mode 100644
index 0000000000..f553800b4e
--- /dev/null
+++ b/development/nedit/README
@@ -0,0 +1,5 @@
+NEdit (text editor with GUI)
+
+NEdit is a powerful plain text editor with a Motif GUI. It features
+advanced macros, line numbering and syntax highlighting. Despite
+being feature rich it is easy to use, even for casual users.
diff --git a/development/nedit/nedit.SlackBuild b/development/nedit/nedit.SlackBuild
new file mode 100644
index 0000000000..6bf9c6e614
--- /dev/null
+++ b/development/nedit/nedit.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for nedit
+
+# Copyright 2014 Tomasz Konojacki <me@xenu.tk>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=nedit
+VERSION=${VERSION:-5.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar jxvf $CWD/$PRGNAM-$VERSION-src.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Apply patch to make compilation possible
+patch -p1 < $CWD/nedit.patch
+
+make linux
+
+mkdir -p $PKG/usr/bin $PKG/usr/man/man1
+install -m 755 source/nedit $PKG/usr/bin/nedit
+install -m 644 doc/nedit.man $PKG/usr/man/man1/nedit.1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYRIGHT ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/nedit/nedit.info b/development/nedit/nedit.info
new file mode 100644
index 0000000000..0203e1fa17
--- /dev/null
+++ b/development/nedit/nedit.info
@@ -0,0 +1,10 @@
+PRGNAM="nedit"
+VERSION="5.5"
+HOMEPAGE="http://www.nedit.org"
+DOWNLOAD="http://www.nedit.org/nedit-5.5-src.tar.bz2"
+MD5SUM="48cb3dce52d44988f3a4d7c6f47b6bbe"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Tomasz Konojacki"
+EMAIL="me@xenu.tk"
diff --git a/development/nedit/nedit.patch b/development/nedit/nedit.patch
new file mode 100644
index 0000000000..d66623f0f9
--- /dev/null
+++ b/development/nedit/nedit.patch
@@ -0,0 +1,24 @@
+diff -rNu nedit-5.5.orig/source/nedit.c nedit-5.5/source/nedit.c
+--- nedit-5.5.orig/source/nedit.c 2014-04-15 21:37:41.893066434 +0200
++++ nedit-5.5/source/nedit.c 2014-04-15 21:41:30.262069783 +0200
+@@ -389,6 +389,9 @@
+ "-bw", "-title", NULL};
+ unsigned char* invalidBindings = NULL;
+
++ /* workaround for lesstif */
++ setenv("XLIB_SKIP_ARGB_VISUALS", "1", 1);
++
+ /* Save the command which was used to invoke nedit for restart command */
+ ArgV0 = argv[0];
+
+diff -rNu nedit-5.5.orig/util/check_lin_tif.c nedit-5.5/util/check_lin_tif.c
+--- nedit-5.5.orig/util/check_lin_tif.c 2014-04-15 21:37:41.973066435 +0200
++++ nedit-5.5/util/check_lin_tif.c 2014-04-15 21:38:39.407067277 +0200
+@@ -87,6 +87,7 @@
+ "0.93.12",
+ "0.93.18",
+ "0.93.94",
++ "0.95.2",
+ NULL
+ };
+
diff --git a/development/nedit/slack-desc b/development/nedit/slack-desc
new file mode 100644
index 0000000000..87c0e1f681
--- /dev/null
+++ b/development/nedit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nedit: NEdit (text editor with GUI)
+nedit:
+nedit: NEdit is a powerful plain text editor with a Motif GUI. It features
+nedit: advanced macros, line numbering and syntax highlighting. Despite
+nedit: being feature rich it is easy to use, even for casual users.
+nedit:
+nedit: http://www.nedit.org
+nedit:
+nedit:
+nedit:
+nedit: